/*-- SEQ 0001 --*/
CREATE OR REPLACE TRIGGER TGTIMU_REDUCAOZ
BEFORE INSERT ON TIMU_REDUCAOZ 
FOR EACH ROW
DECLARE
-- Objetivos:
-- 1. Gerar um cdigo sequencial exclusivo para compor a chave primria.

-- Principal
BEGIN

   -- Gerar um cdigo sequencial exclusivo para compor a chave primria.
   IF INSERTING THEN
      IF :NEW.ID IS NULL THEN
         SELECT COALESCE(MAX(ID), 0) + 1 INTO :NEW.ID FROM TIMU_REDUCAOZ;
      END IF;
   END IF;

END TGTIMU_REDUCAOZ;
/

